| showdb

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Displays information on configured databases

## Description

showdb displays a table with the names, contents and access methods of the sequence databases configured for your EMBOSS installation.

## Usage

Here is a sample session with showdb

Display information on the currently available databases:

    % showdb
    Displays information on configured databases

    # Name           Type ID  Qry All Comment
    # ============== ==== ==  === === =======
    twp              P    OK  OK  OK  EMBL new in native format with EMBL CD-ROM index
    qapblast         P    OK  OK  OK  BLAST swissnew
    qapblastall      P    OK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplit    P    OK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexc P    OK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitinc P    OK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfasta         P    OK  OK  OK  FASTA file swissnew entries
    qapflat          P    OK  OK  OK  SpTrEmbl flatfile
    qapflatall       P    OK  OK  OK  SpTrEmbl flatfiles, all fields indexed
    qapir            P    OK  OK  OK  PIR
    qapirall         P    OK  OK  OK  PIR
    qapirinc         P    OK  OK  OK  PIR
    qapxfasta        P    OK  OK  OK  FASTA file swissnew entries
    qapxflat         P    OK  OK  OK  Swissnew flatfiles
    qaxpir           P    OK  OK  OK  PIR
    qaxpirall        P    OK  OK  OK  PIR
    qaxpirinc        P    OK  OK  OK  PIR
    tpir             P    OK  OK  OK  PIR using NBRF access for 4 files
    tsw              P    OK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnew           P    OK  OK  OK  SpTrEmbl as 3 files in native format with EMBL CD-ROM index
    genbanksrs       N    OK  -   -   Genbank IDs
    qanfasta         N    OK  OK  OK  FASTA file EMBL rodents
    qanfastaall      N    OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanflat          N    OK  OK  OK  EMBL flatfiles
    qanflatall       N    OK  OK  OK  EMBL flatfiles
    qanflatexc       N    OK  OK  OK  EMBL flatfiles, no rodent file
    qanflatinc       N    OK  OK  OK  EMBL flatfiles, only rodent file
    qangcg           N    OK  OK  OK  GCG format EMBL
    qangcgall        N    OK  OK  OK  GCG format EMBL
    qangcgexc        N    OK  OK  OK  GCG format EMBL without prokaryotes
    qangcginc        N    OK  OK  OK  GCG format EMBL only prokaryotes
    qanxfasta        N    OK  OK  OK  FASTA file EMBL rodents
    qanxfastaall     N    OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanxflat         N    OK  OK  OK  EMBL flatfiles
    qanxflatall      N    OK  OK  OK  EMBL flatfiles, all fields indexed
    qanxflatexc      N    OK  OK  OK  EMBL flatfiles, no rodent file
    qanxflatinc      N    OK  OK  OK  EMBL flatfiles, only rodent file
    qanxgcg          N    OK  OK  OK  GCG format EMBL
    qanxgcgall       N    OK  OK  OK  GCG format EMBL
    qanxgcgexc       N    OK  OK  OK  GCG format EMBL without prokaryotes
    qanxgcginc       N    OK  OK  OK  GCG format EMBL only prokaryotes
    qapirexc         N    OK  OK  OK  PIR
    qasrswww         N    OK  -   -   Remote SRS web server
    qawfasta         N    OK  OK  OK  FASTA file wormpep entries
    qawxfasta        N    OK  OK  OK  FASTA file wormpep entries
    qaxpirexc        N    OK  OK  OK  PIR
    tembl            N    OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblall         N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    temblrest        N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    temblvrt         N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    testdb           N    OK  OK  OK  test sequence data
    tgb              N    OK  -   -   Genbank IDs
    tgenbank         N    OK  OK  OK  GenBank in native format with EMBL CD-ROM index

Example 2

Write the results to a file:

    % showdb -outfile showdb.out
    Displays information on configured databases

Go to the output files for this example

Example 3

Display information on one explicit database:

    % showdb -database tsw
    Displays information on configured databases

    # Name         Type ID  Qry All Comment
    # ============ ==== ==  === === =======
    tsw            P    OK  OK  OK  Swissprot native format with EMBL CD-ROM index

Go to the input files for this example

Example 4

Display information on the databases formatted in HTML:

    % showdb -html
    Displays information on configured databases

    NameTypeIDQryAllComment
    twpPOK  OK  OK  EMBL new in native format with EMBL CD-ROM index
    qapblastPOK  OK  OK  BLAST swissnew
    qapblastallPOK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplitPOK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexcPOK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitincPOK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfastaPOK  OK  OK  FASTA file swissnew entries
    qapflatPOK  OK  OK  SpTrEmbl flatfile
    qapflatallPOK  OK  OK  SpTrEmbl flatfiles, all fields indexed
    qapirPOK  OK  OK  PIR
    qapirallPOK  OK  OK  PIR
    qapirincPOK  OK  OK  PIR
    qapxfastaPOK  OK  OK  FASTA file swissnew entries
    qapxflatPOK  OK  OK  Swissnew flatfiles
    qaxpirPOK  OK  OK  PIR
    qaxpirallPOK  OK  OK  PIR
    qaxpirincPOK  OK  OK  PIR
    tpirPOK  OK  OK  PIR using NBRF access for 4 files
    tswPOK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnewPOK  OK  OK  SpTrEmbl as 3 files in native format with EMBL CD-ROM index
    genbanksrsNOK  -   -   Genbank IDs
    qanfastaNOK  OK  OK  FASTA file EMBL rodents
    qanfastaallNOK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanflatNOK  OK  OK  EMBL flatfiles
    qanflatallNOK  OK  OK  EMBL flatfiles
    qanflatexcNOK  OK  OK  EMBL flatfiles, no rodent file
    qanflatincNOK  OK  OK  EMBL flatfiles, only rodent file
    qangcgNOK  OK  OK  GCG format EMBL
    qangcgallNOK  OK  OK  GCG format EMBL
    qangcgexcNOK  OK  OK  GCG format EMBL without prokaryotes
    qangcgincNOK  OK  OK  GCG format EMBL only prokaryotes
    qanxfastaNOK  OK  OK  FASTA file EMBL rodents
    qanxfastaallNOK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanxflatNOK  OK  OK  EMBL flatfiles
    qanxflatallNOK  OK  OK  EMBL flatfiles, all fields indexed
    qanxflatexcNOK  OK  OK  EMBL flatfiles, no rodent file
    qanxflatincNOK  OK  OK  EMBL flatfiles, only rodent file
    qanxgcgNOK  OK  OK  GCG format EMBL
    qanxgcgallNOK  OK  OK  GCG format EMBL
    qanxgcgexcNOK  OK  OK  GCG format EMBL without prokaryotes
    qanxgcgincNOK  OK  OK  GCG format EMBL only prokaryotes
    qapirexcNOK  OK  OK  PIR
    qasrswwwNOK  -   -   Remote SRS web server
    qawfastaNOK  OK  OK  FASTA file wormpep entries
    qawxfastaNOK  OK  OK  FASTA file wormpep entries
    qaxpirexcNOK  OK  OK  PIR
    temblNOK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblallN-   -   OK  EMBL in native format with EMBL CD-ROM index
    temblrestN-   -   OK  EMBL in native format with EMBL CD-ROM index
    temblvrtN-   -   OK  EMBL in native format with EMBL CD-ROM index
    testdbNOK  OK  OK  test sequence data
    tgbNOK  -   -   Genbank IDs
    tgenbankNOK  OK  OK  GenBank in native format with EMBL CD-ROM index

Example 5

Display protein databases only:

    % showdb -nonucleic
    Displays information on configured databases

    # Name           Type ID  Qry All Comment
    # ============== ==== ==  === === =======
    twp              P    OK  OK  OK  EMBL new in native format with EMBL CD-ROM index
    qapblast         P    OK  OK  OK  BLAST swissnew
    qapblastall      P    OK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplit    P    OK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexc P    OK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitinc P    OK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfasta         P    OK  OK  OK  FASTA file swissnew entries
    qapflat          P    OK  OK  OK  SpTrEmbl flatfile
    qapflatall       P    OK  OK  OK  SpTrEmbl flatfiles, all fields indexed
    qapir            P    OK  OK  OK  PIR
    qapirall         P    OK  OK  OK  PIR
    qapirinc         P    OK  OK  OK  PIR
    qapxfasta        P    OK  OK  OK  FASTA file swissnew entries
    qapxflat         P    OK  OK  OK  Swissnew flatfiles
    qaxpir           P    OK  OK  OK  PIR
    qaxpirall        P    OK  OK  OK  PIR
    qaxpirinc        P    OK  OK  OK  PIR
    tpir             P    OK  OK  OK  PIR using NBRF access for 4 files
    tsw              P    OK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnew           P    OK  OK  OK  SpTrEmbl as 3 files in native format with EMBL CD-ROM index

Example 6

Display the information with no headings:

    % showdb -noheading
    Displays information on configured databases

    twp              P    OK  OK  OK  EMBL new in native format with EMBL CD-ROM index
    qapblast         P    OK  OK  OK  BLAST swissnew
    qapblastall      P    OK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplit    P    OK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexc P    OK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitinc P    OK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfasta         P    OK  OK  OK  FASTA file swissnew entries
    qapflat          P    OK  OK  OK  SpTrEmbl flatfile
    qapflatall       P    OK  OK  OK  SpTrEmbl flatfiles, all fields indexed
    qapir            P    OK  OK  OK  PIR
    qapirall         P    OK  OK  OK  PIR
    qapirinc         P    OK  OK  OK  PIR
    qapxfasta        P    OK  OK  OK  FASTA file swissnew entries
    qapxflat         P    OK  OK  OK  Swissnew flatfiles
    qaxpir           P    OK  OK  OK  PIR
    qaxpirall        P    OK  OK  OK  PIR
    qaxpirinc        P    OK  OK  OK  PIR
    tpir             P    OK  OK  OK  PIR using NBRF access for 4 files
    tsw              P    OK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnew           P    OK  OK  OK  SpTrEmbl as 3 files in native format with EMBL CD-ROM index
    genbanksrs       N    OK  -   -   Genbank IDs
    qanfasta         N    OK  OK  OK  FASTA file EMBL rodents
    qanfastaall      N    OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanflat          N    OK  OK  OK  EMBL flatfiles
    qanflatall       N    OK  OK  OK  EMBL flatfiles
    qanflatexc       N    OK  OK  OK  EMBL flatfiles, no rodent file
    qanflatinc       N    OK  OK  OK  EMBL flatfiles, only rodent file
    qangcg           N    OK  OK  OK  GCG format EMBL
    qangcgall        N    OK  OK  OK  GCG format EMBL
    qangcgexc        N    OK  OK  OK  GCG format EMBL without prokaryotes
    qangcginc        N    OK  OK  OK  GCG format EMBL only prokaryotes
    qanxfasta        N    OK  OK  OK  FASTA file EMBL rodents
    qanxfastaall     N    OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanxflat         N    OK  OK  OK  EMBL flatfiles
    qanxflatall      N    OK  OK  OK  EMBL flatfiles, all fields indexed
    qanxflatexc      N    OK  OK  OK  EMBL flatfiles, no rodent file
    qanxflatinc      N    OK  OK  OK  EMBL flatfiles, only rodent file
    qanxgcg          N    OK  OK  OK  GCG format EMBL
    qanxgcgall       N    OK  OK  OK  GCG format EMBL
    qanxgcgexc       N    OK  OK  OK  GCG format EMBL without prokaryotes
    qanxgcginc       N    OK  OK  OK  GCG format EMBL only prokaryotes
    qapirexc         N    OK  OK  OK  PIR
    qasrswww         N    OK  -   -   Remote SRS web server
    qawfasta         N    OK  OK  OK  FASTA file wormpep entries
    qawxfasta        N    OK  OK  OK  FASTA file wormpep entries
    qaxpirexc        N    OK  OK  OK  PIR
    tembl            N    OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblall         N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    temblrest        N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    temblvrt         N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    testdb           N    OK  OK  OK  test sequence data
    tgb              N    OK  -   -   Genbank IDs
    tgenbank         N    OK  OK  OK  GenBank in native format with EMBL CD-ROM index

Example 7

Display just a list of the available database names:

    % showdb -noheading -notype -noid -noquery -noall -nocomment -auto

    twp
    qapblast
    qapblastall
    qapblastsplit
    qapblastsplitexc
    qapblastsplitinc
    qapfasta
    qapflat
    qapflatall
    qapir
    qapirall
    qapirinc
    qapxfasta
    qapxflat
    qaxpir
    qaxpirall
    qaxpirinc
    tpir
    tsw
    tswnew
    genbanksrs
    qanfasta
    qanfastaall
    qanflat
    qanflatall
    qanflatexc
    qanflatinc
    qangcg
    qangcgall
    qangcgexc
    qangcginc
    qanxfasta
    qanxfastaall
    qanxflat
    qanxflatall
    qanxflatexc
    qanxflatinc
    qanxgcg
    qanxgcgall
    qanxgcgexc
    qanxgcginc
    qapirexc
    qasrswww
    qawfasta
    qawxfasta
    qaxpirexc
    tembl
    temblall
    temblrest
    temblvrt
    testdb
    tgb
    tgenbank

Example 8

Display only the names and types:

    % showdb -only -type
    Displays information on configured databases

    twp              P
    qapblast         P
    qapblastall      P
    qapblastsplit    P
    qapblastsplitexc P
    qapblastsplitinc P
    qapfasta         P
    qapflat          P
    qapflatall       P
    qapir            P
    qapirall         P
    qapirinc         P
    qapxfasta        P
    qapxflat         P
    qaxpir           P
    qaxpirall        P
    qaxpirinc        P
    tpir             P
    tsw              P
    tswnew           P
    genbanksrs       N
    qanfasta         N
    qanfastaall      N
    qanflat          N
    qanflatall       N
    qanflatexc       N
    qanflatinc       N
    qangcg           N
    qangcgall        N
    qangcgexc        N
    qangcginc        N
    qanxfasta        N
    qanxfastaall     N
    qanxflat         N
    qanxflatall      N
    qanxflatexc      N
    qanxflatinc      N
    qanxgcg          N
    qanxgcgall       N
    qanxgcgexc       N
    qanxgcginc       N
    qapirexc         N
    qasrswww         N
    qawfasta         N
    qawxfasta        N
    qaxpirexc        N
    tembl            N
    temblall         N
    temblrest        N
    temblvrt         N
    testdb           N
    tgb              N
    tgenbank         N

Example 9

Display everything

    % showdb -full
    Displays information on configured databases

    # Name           Type ID  Qry All Method    Fields            Defined Release Comment
    # ============== ==== ==  === === ========= ================= ======= ======= =======
    twp              P    OK  OK  OK  emblcd    des               global  16      EMBL new in native format with EMBL CD-ROM index
    qapblast         P    OK  OK  OK  blast     -                 special         BLAST swissnew
    qapblastall      P    OK  OK  OK  blast     sv,des            special         BLAST swissnew, all fields indexed
    qapblastsplit    P    OK  OK  OK  blast     -                 special         BLAST swissnew split in 5 files
    qapblastsplitexc P    OK  OK  OK  blast     -                 special         BLAST swissnew split in 5 files, not file 02
    qapblastsplitinc P    OK  OK  OK  blast     -                 special         BLAST swissnew split in 5 files, only file 02
    qapfasta         P    OK  OK  OK  emblcd    -                 special         FASTA file swissnew entries
    qapflat          P    OK  OK  OK  emblcd    -                 special         SpTrEmbl flatfile
    qapflatall       P    OK  OK  OK  emblcd    sv,des,org,key    special         SpTrEmbl flatfiles, all fields indexed
    qapir            P    OK  OK  OK  gcg       -                 special         PIR
    qapirall         P    OK  OK  OK  gcg       des,org,key       special         PIR
    qapirinc         P    OK  OK  OK  gcg       -                 special         PIR
    qapxfasta        P    OK  OK  OK  emboss    -                 special         FASTA file swissnew entries
    qapxflat         P    OK  OK  OK  emboss    -                 special         Swissnew flatfiles
    qaxpir           P    OK  OK  OK  embossgcg -                 special         PIR
    qaxpirall        P    OK  OK  OK  embossgcg des,org,key       special         PIR
    qaxpirinc        P    OK  OK  OK  embossgcg -                 special         PIR
    tpir             P    OK  OK  OK  gcg       des,org,key       special         PIR using NBRF access for 4 files
    tsw              P    OK  OK  OK  emblcd    sv,des,org,key    special 36      Swissprot native format with EMBL CD-ROM index
    tswnew           P    OK  OK  OK  emblcd    sv,des,org,key    special 37      SpTrEmbl as 3 files in native format with EMBL CD-ROM index
    genbanksrs       N    OK  -   -   srswww    gi,sv,des,org,key global          Genbank IDs
    qanfasta         N    OK  OK  OK  emblcd    -                 special         FASTA file EMBL rodents
    qanfastaall      N    OK  OK  OK  emblcd    sv,des            special         FASTA file EMBL rodents, all fields indexed
    qanflat          N    OK  OK  OK  emblcd    -                 special         EMBL flatfiles
    qanflatall       N    OK  OK  OK  emblcd    -                 special         EMBL flatfiles
    qanflatexc       N    OK  OK  OK  emblcd    -                 special         EMBL flatfiles, no rodent file
    qanflatinc       N    OK  OK  OK  emblcd    -                 special         EMBL flatfiles, only rodent file
    qangcg           N    OK  OK  OK  gcg       -                 special         GCG format EMBL
    qangcgall        N    OK  OK  OK  gcg       sv,des,org,key    special         GCG format EMBL
    qangcgexc        N    OK  OK  OK  gcg       -                 special         GCG format EMBL without prokaryotes
    qangcginc        N    OK  OK  OK  gcg       -                 special         GCG format EMBL only prokaryotes
    qanxfasta        N    OK  OK  OK  emboss    -                 special         FASTA file EMBL rodents
    qanxfastaall     N    OK  OK  OK  emboss    sv,des            special         FASTA file EMBL rodents, all fields indexed
    qanxflat         N    OK  OK  OK  emboss    -                 special         EMBL flatfiles
    qanxflatall      N    OK  OK  OK  emboss    des,org,key       special         EMBL flatfiles, all fields indexed
    qanxflatexc      N    OK  OK  OK  emboss    -                 special         EMBL flatfiles, no rodent file
    qanxflatinc      N    OK  OK  OK  emboss    -                 special         EMBL flatfiles, only rodent file
    qanxgcg          N    OK  OK  OK  embossgcg -                 special         GCG format EMBL
    qanxgcgall       N    OK  OK  OK  embossgcg sv,des,org,key    special         GCG format EMBL
    qanxgcgexc       N    OK  OK  OK  embossgcg -                 special         GCG format EMBL without prokaryotes
    qanxgcginc       N    OK  OK  OK  embossgcg -                 special         GCG format EMBL only prokaryotes
    qapirexc         N    OK  OK  OK  gcg       -                 special         PIR
    qasrswww         N    OK  -   -   srswww    sv,des,org,key    special         Remote SRS web server
    qawfasta         N    OK  OK  OK  emblcd    -                 special         FASTA file wormpep entries
    qawxfasta        N    OK  OK  OK  emboss    -                 special         FASTA file wormpep entries
    qaxpirexc        N    OK  OK  OK  embossgcg -                 special         PIR
    tembl            N    OK  OK  OK  emblcd    sv,des,org,key    special 57      EMBL in native format with EMBL CD-ROM index
    temblall         N    -   -   OK  direct    sv,des,org,key    special 57      EMBL in native format with EMBL CD-ROM index
    temblrest        N    -   -   OK  direct    sv,des,org,key    special 57      EMBL in native format with EMBL CD-ROM index
    temblvrt         N    -   -   OK  direct    sv,des,org,key    special 57      EMBL in native format with EMBL CD-ROM index
    testdb           N    OK  OK  OK  emblcd    des               special 01      test sequence data
    tgb              N    OK  -   -   srswww    sv,des,org,key    special         Genbank IDs
    tgenbank         N    OK  OK  OK  emblcd    sv,des,org,key    special 01      GenBank in native format with EMBL CD-ROM index

## Command line arguments

    Displays information on configured databases
    Version: EMBOSS:6.2.0

       Standard (Mandatory) qualifiers: (none)
       Additional (Optional) qualifiers:
       -database           string     Name of a single database to give
                                      information on (Any string)
       -html               boolean    [N] Format output as an HTML table
       -[no]protein        boolean    [Y] Display protein databases
       -[no]nucleic        boolean    [Y] Display nucleic acid databases
       -full               boolean    [N] Display all columns
       -methods            boolean    [$(full)] This displays the access methods
                                      that can be used on this database, for all,
                                      query or ID access
       -fields             boolean    [$(full)] This displays the search fields
                                      that can be used on this database, other
                                      than the standard 'id' or 'acc' fields.
       -defined            boolean    [$(full)] This displays a short name for the
                                      file containing the database definition
       -release            boolean    [$(full)] Display 'release' column
       -outfile            outfile    [stdout] Output file name

       Advanced (Unprompted) qualifiers:
       -only               toggle     [N] This is a way of shortening the command
                                      line if you only want a few standard columns
                                      to be displayed. Instead of specifying:
                                      '-nohead -notype -noid -noquery -noall'
                                      to get only the comment output, you can
                                      specify
                                      '-only -comment'
       -heading            boolean    [@(!$(only))] Display column headings
       -type               boolean    [@(!$(only))] Display 'type' column
       -id                 boolean    [@(!$(only))] Display 'id' column
       -query              boolean    [@(!$(only))] Display 'qry' column
       -all                boolean    [@(!$(only))] Display 'all' column
       -comment            boolean    [@(!$(only))] Display 'comment' column

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
(none)
Additional (Optional) qualifiers
-database | string | Name of a single database to give information on | Any string |
-html | boolean | Format output as an HTML table | Boolean value Yes/No | No
-[no]protein | boolean | Display protein databases | Boolean value Yes/No | Yes
-[no]nucleic | boolean | Display nucleic acid databases | Boolean value Yes/No | Yes
-full | boolean | Display all columns | Boolean value Yes/No | No
-methods | boolean | This displays the access methods that can be used on this database, for all, query or ID access | Boolean value Yes/No | $(full)
-fields | boolean | This displays the search fields that can be used on this database, other than the standard 'id' or 'acc' fields. | Boolean value Yes/No | $(full)
-defined | boolean | This displays a short name for the file containing the database definition | Boolean value Yes/No | $(full)
-release | boolean | Display 'release' column | Boolean value Yes/No | $(full)
-outfile | outfile | Output file name | Output file | stdout
Advanced (Unprompted) qualifiers
-only | toggle | This is a way of shortening the command line if you only want a few standard columns to be displayed. Instead of specifying: '-nohead -notype -noid -noquery -noall' to get only the comment output, you can specify '-only -comment' | Toggle value Yes/No | No
-heading | boolean | Display column headings | Boolean value Yes/No | @(!$(only))
-type | boolean | Display 'type' column | Boolean value Yes/No | @(!$(only))
-id | boolean | Display 'id' column | Boolean value Yes/No | @(!$(only))
-query | boolean | Display 'qry' column | Boolean value Yes/No | @(!$(only))
-all | boolean | Display 'all' column | Boolean value Yes/No | @(!$(only))
-comment | boolean | Display 'comment' column | Boolean value Yes/No | @(!$(only))
Associated qualifiers
"-outfile" associated outfile qualifiers
-odirectory | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

None.

### Input files for usage example 3

'tsw' is a sequence entry in the example protein database 'tsw'

## Output file format

### Output files for usage example 2

### File: showdb.out

    # Name           Type ID  Qry All Comment
    # ============== ==== ==  === === =======
    twp              P    OK  OK  OK  EMBL new in native format with EMBL CD-ROM index
    qapblast         P    OK  OK  OK  BLAST swissnew
    qapblastall      P    OK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplit    P    OK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexc P    OK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitinc P    OK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfasta         P    OK  OK  OK  FASTA file swissnew entries
    qapflat          P    OK  OK  OK  SpTrEmbl flatfile
    qapflatall       P    OK  OK  OK  SpTrEmbl flatfiles, all fields indexed
    qapir            P    OK  OK  OK  PIR
    qapirall         P    OK  OK  OK  PIR
    qapirinc         P    OK  OK  OK  PIR
    qapxfasta        P    OK  OK  OK  FASTA file swissnew entries
    qapxflat         P    OK  OK  OK  Swissnew flatfiles
    qaxpir           P    OK  OK  OK  PIR
    qaxpirall        P    OK  OK  OK  PIR
    qaxpirinc        P    OK  OK  OK  PIR
    tpir             P    OK  OK  OK  PIR using NBRF access for 4 files
    tsw              P    OK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnew           P    OK  OK  OK  SpTrEmbl as 3 files in native format with EMBL CD-ROM index
    genbanksrs       N    OK  -   -   Genbank IDs
    qanfasta         N    OK  OK  OK  FASTA file EMBL rodents
    qanfastaall      N    OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanflat          N    OK  OK  OK  EMBL flatfiles
    qanflatall       N    OK  OK  OK  EMBL flatfiles
    qanflatexc       N    OK  OK  OK  EMBL flatfiles, no rodent file
    qanflatinc       N    OK  OK  OK  EMBL flatfiles, only rodent file
    qangcg           N    OK  OK  OK  GCG format EMBL
    qangcgall        N    OK  OK  OK  GCG format EMBL
    qangcgexc        N    OK  OK  OK  GCG format EMBL without prokaryotes
    qangcginc        N    OK  OK  OK  GCG format EMBL only prokaryotes
    qanxfasta        N    OK  OK  OK  FASTA file EMBL rodents
    qanxfastaall     N    OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanxflat         N    OK  OK  OK  EMBL flatfiles
    qanxflatall      N    OK  OK  OK  EMBL flatfiles, all fields indexed
    qanxflatexc      N    OK  OK  OK  EMBL flatfiles, no rodent file
    qanxflatinc      N    OK  OK  OK  EMBL flatfiles, only rodent file
    qanxgcg          N    OK  OK  OK  GCG format EMBL
    qanxgcgall       N    OK  OK  OK  GCG format EMBL
    qanxgcgexc       N    OK  OK  OK  GCG format EMBL without prokaryotes
    qanxgcginc       N    OK  OK  OK  GCG format EMBL only prokaryotes
    qapirexc         N    OK  OK  OK  PIR
    qasrswww         N    OK  -   -   Remote SRS web server
    qawfasta         N    OK  OK  OK  FASTA file wormpep entries
    qawxfasta        N    OK  OK  OK  FASTA file wormpep entries
    qaxpirexc        N    OK  OK  OK  PIR
    tembl            N    OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblall         N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    temblrest        N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    temblvrt         N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    testdb           N    OK  OK  OK  test sequence data
    tgb              N    OK  -   -   Genbank IDs
    tgenbank         N    OK  OK  OK  GenBank in native format with EMBL CD-ROM index

The output is a simple table.

Type 'P' indicates that this is a Protein database.

Type 'N' indicates that this is a Nucleic database.

'OK' under ID, Qry or All indicates that that access method can be used on this database. A '-' indicates that you cannot access this database in that way.

Note that 'OK' does not mean that the database is working correctly. It simply means that showdb has read the database definition correctly and that this method of access to the database should be possible.

If you are setting up a new database, then you should check that it works correctly by extracting entries from it using seqret.

When the -html qualifier is specified, then the output will be wrapped in HTML tags, ready for inclusion in a Web page. Note that tags such as <HTML>, <BODY>, </BODY> and </HTML> are not output by this program as the table of databases is expected to form only part of the contents of a web page - the rest of the web page must be supplied by the user.

## Data files

The databases are specified in the files "emboss.defaults" for site wide definitions, and "~/.embossrc" for the user's own settings.

## Notes

EMBOSS provides excellent database support. All the common sequence formats you are likely to come across are supported. There are three basic levels of database query with different ways to search for and retrieve entries: `entry` A single entry specified by database ID or accession number is retrieved. For example "embl:x13776". `query` One or more entries matching a wildcard string in the USA are retrieved (this can be slow for some methods). For example you can specify all of the human PAX proteins in SWISS_PROT by: `swissprot:pax*_human`. `all` All entries are read sequentially from a database. For example to specify all entries in the database use `embl:*`.

One or more query levels may be available for a database depending on the database in question and how it has been setup and indexed. Each database and access method must be configured for it to be available for use. This involves editing one of the EMBOSS configuration files, either your own personal `.embossrc` or the installation-wide `emboss.default` file. The `emboss.default` file will typically contain the definitions of the test databases (`tsw`, `tembl`, `tpir`, etc) used in the usage examples for the application documentation and serve as example database definitions. For more information, see the EMBOSS Administrators Manual. You can run showdb to see the databases and access methods that have been configured successfully.

## References

None.

## Warnings

Where the string `OK` is given next to a database is listed in showdb output, this means showdb has read the database definition correctly and that this access method is in principle possible, in other words, the database has been configured correctly.. It does not mean that the database or access method are available or working correctly. You should check things are ok by running, for example, seqret to retrieve an entry.

## Diagnostic Error Messages

"The database 'xyz' does not exist" You have supplied the name of a database with the -database qualifier, but that database does not exist as far as EMBOSS is concerned.

## Exit status

It always exits with status 0, unless the above diagnostic message is displayed.

## Known bugs

None noted.

## See also

Program name | Description
--- | ---
abiview | Display the trace in an ABI sequencer file
cirdna | Draws circular maps of DNA constructs
infoalign | Display basic information about a multiple sequence alignment
infobase | Return information on a given nucleotide base
inforesidue | Return information on a given amino acid residue
infoseq | Display basic information about sequences
lindna | Draws linear maps of DNA constructs
pepnet | Draw a helical net for a protein sequence
pepwheel | Draw a helical wheel diagram for a protein sequence
prettyplot | Draw a sequence alignment with pretty formatting
prettyseq | Write a nucleotide sequence and its translation to file
remap | Display restriction enzyme binding sites in a nucleotide sequence
seealso | Finds programs with similar function to a specified program
showalign | Display a multiple sequence alignment in pretty format
showfeat | Display features of a sequence in pretty format
showpep | Displays protein sequences with features in pretty format
showseq | Displays sequences with features in pretty format
sixpack | Display a DNA sequence with 6-frame translation and ORFs
textsearch | Search the textual description of sequence(s)
tfm | Displays full documentation for an application
whichdb | Search all sequence databases for an entry and retrieve it
wossname | Finds programs by keywords in their short description

## Author(s)

Gary Williams (gwilliam © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

Completed 6th August 1999.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None